RSA_SIZE(3)

NAME
RSA_size - get RSA modulus size

SYNOPSIS
#include <openssl/rsa.h>
int
RSA_size(const RSA *rsa);

DESCRIPTION
This function returns the RSA modulus size in bytes. It can be used to determine how much memory must be allocated for an RSA encrypted value.

rsa and rsa->n must not be NULL.

RETURN VALUES
The size in bytes.

SEE ALSO
RSA_new(3)

HISTORY
RSA_size() is available in all versions of SSLeay and OpenSSL.